#!/usr/bin/env bash

set -e

# RaveOS Setup Script

# Text Colours
bold=$(tput bold)      # ${bold}
normal=$(tput sgr0)    # ${normal}
yellow=$(tput setaf 3) # ${yellow}

  
  echo "$USER ALL=(ALL) NOPASSWD: ALL" | sudo tee /etc/sudoers.d/99-t

# Installing packages

    sudo pacman -S wget unzip --noconfirm

    # Downloading RavePkg
    mkdir cosmetics
    sudo chown -R $USER:$GROUP /home/$USER/cosmetics/
    cd cosmetics
    wget -O cosmetics.zip https://files.rp1.hu/api/public/dl/K7znaGkC/
    unzip cosmetics.zip
    
    echo
    echo ---------------------------------------------
    echo Installing ${bold}${yellow}CachyOS - Gaming Kernel${normal}

    curl https://mirror.cachyos.org/cachyos-repo.tar.xz -o cachyos-repo.tar.xz
    sudo cp /home/$USER/cosmetics/cachyos-repo.sh /home/$USER/cosmetics/cachyos-repo/
    tar xvf cachyos-repo.tar.xz && cd cachyos-repo  
    sudo ./cachyos-repo.sh
    cd -
    sudo pacman -S linux-cachyos linux-cachyos-headers --noconfirm

    echo ${bold}${yellow}CachyOS - Gaming Kernel ${normal}installed.
    echo ---------------------------------------------
    echo


# RaveOS Cosmetics

    gsettings set org.gnome.desktop.interface gtk-theme 'Yaru-purple-dark'
    gsettings set org.gnome.desktop.interface cursor-theme 'Yaru'
    gsettings set org.gnome.desktop.interface icon-theme 'Yaru-purple-dark'
    gsettings set org.gnome.desktop.sound theme-name 'Yaru'
    gsettings set org.gnome.desktop.screensaver lock-enabled false
    gsettings set org.gnome.desktop.session idle-delay 0
    gsettings set org.gnome.desktop.wm.preferences button-layout ":minimize,maximize,close"
    sudo rsync -ap --info=progress2 gnome-shell /home/$USER/.local/share/
    cp -a burn-my-windows /home/$USER/.config/
    sudo cp -a rave-pp.png /usr/share/pixmaps/faces/
    echo "[User]
Session=
Icon=/usr/share/pixmaps/faces/rave-pp.png
SystemAccount=false" | sudo tee /var/lib/AccountsService/users/$USER
    sudo cp -a archlinux-logo-text-dark.svg /usr/share/pixmaps/
    sudo cp -a view-app-grid-symbolic.svg /usr/share/icons/Yaru/scalable/actions/
    dconf load / < raveui-eng
    sudo mkdir -p /usr/share/backgrounds/
    sudo cp -a raveos-bg.png /usr/share/backgrounds/
    cp -a .icons /home/$USER/
    cp -a .themes /home/$USER/
    set-gdm-theme set Yaru-purple-dark /usr/share/backgrounds/raveos-bg.png

    sudo rm /etc/sudoers.d/99*
    sudo rm -rf /home/$USER/cosmetics



    reboot